Get Item v2

The Get Item API endpoint is used to get details of one ore more products on Amazon using ASIN and generate affiliate links using your own tracking id.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Items API endpoint is used to get details of one ore more products on Amazon using ASIN and generate affiliate links using your own tracking id.

Mandatory Parameters

Following are the mandatory parameters to be sent while calling the API

Header

  • Content-Type: application/json
  • x-api-key: API license key

Payload

  • partner_tag: The tracking id / store id you want to use in the affiliate links.
  • itemids: An array of Amazon Product ASIN (eg. B0BS924CGJ)

Optional Parameters

Following are optional parameters to send in the payload. For more details of each parameter, please take a look here

  • resources - (Default ["images.primary.large", "itemInfo.title", "offersV2.listings.price"])
  • condition - (Default 'Any')
  • merchantInfo

Return Codes

This API uses the following error codes:

  • 400 Bad Request: The request was malformed or missing required parameters.
  • 401 Unauthorized: Either Access Key or Secret Key is invalid or missing.
  • 403 Forbidden: The API key provided was invalid or missing.
  • 404 Not Found: The requested resource was not found.
  • 429 Too Many Requests: Too many requests have been sent within time window or limit exceeded
  • 500 Internal Server Error: An unexpected error occurred on the server.

Sample Request Payload

{
  "partner_tag": "<your-partner-tag>",
	"itemids" : ["B0BS924CGJ","B0CX6GD9Q5","B0D1KT71XD"]
	"resources": [
	    "itemInfo.title",
	    "offersV2.listings.price",
	    "images.primary.large"
	]
}
Body Params
string
required

Partner tag from Amazon Affiliate website

itemids
array of strings
required

List of ASIN to search Amazon Products

itemids*
resources
array of strings
required

List of attributes to be returned in response object

resources*
Headers
string
required
Defaults to abc123

API License Key

Responses
200

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json